/*
 *  WICONCLOCK      A utility that works with WICONIFY to display a
 *                  clock icon on every wIconify screen.  The clock face
 *                  shows the current time, and updates as time passes.
 *
 *  Copyright 1990 by Davide P. Cervone, all rights reserved.
 *  You may use this code, provided this copyright notice is kept intact.
 */


#include <exec/types.h>


/*
 *  The clock image size
 */

#define CLOCKWIDTH       40
#define CLOCKHEIGHT      19
#define CLOCKDEPTH       2
#define WORDSPERROW      3

/*
 *  The clock image data.  It is the face with no hands, and includes
 *  the 3D border around the edge.  The colors are chosen so that it
 *  will still work even with only one bitplane.
 */

USHORT ClockData[CLOCKDEPTH][CLOCKHEIGHT*WORDSPERROW] =
{
  {
    0xFFFF, 0xFFFF, 0xFF00,
    0xC000, 0x0000, 0x0300,
    0xC000, 0xFF00, 0x0300,
    0xC01F, 0xE7F8, 0x0300,
    0xC0F9, 0xFF9F, 0x0300,
    0xC3FF, 0xFFFF, 0xC300,
    0xC73F, 0xFFFC, 0xE300,
    0xCFFF, 0xFFFF, 0xF300,
    0xCFFF, 0xFFFF, 0xF300,
    0xC9FF, 0xFFFF, 0x9300,
    0xCFFF, 0xFFFF, 0xF300,
    0xCFFF, 0xFFFF, 0xF300,
    0xC73F, 0xFFFC, 0xE300,
    0xC3FF, 0xFFFF, 0xC300,
    0xC0F9, 0xFF9F, 0x0300,
    0xC01F, 0xE7F8, 0x0300,
    0xC000, 0xFF00, 0x0300,
    0xC000, 0x0000, 0x0300,
    0xFFFF, 0xFFFF, 0xFF00,
  },
  {
    0x0000, 0x0000, 0x0100,
    0x3FFF, 0xFFFF, 0xFF00,
    0x3FFF, 0x00FF, 0xFF00,
    0x3FE0, 0x0007, 0xFF00,
    0x3F00, 0x0000, 0xFF00,
    0x3C00, 0x0000, 0x3F00,
    0x3800, 0x0000, 0x1F00,
    0x3000, 0x0000, 0x0F00,
    0x3000, 0x0000, 0x0F00,
    0x3000, 0x0000, 0x0F00,
    0x3000, 0x0000, 0x0F00,
    0x3000, 0x0000, 0x0F00,
    0x3800, 0x0000, 0x1F00,
    0x3C00, 0x0000, 0x3F00,
    0x3F00, 0x0000, 0xFF00,
    0x3FE0, 0x0007, 0xFF00,
    0x3FFF, 0x00FF, 0xFF00,
    0x3FFF, 0xFFFF, 0xFF00,
    0x7FFF, 0xFFFF, 0xFF00,
  },
};
